classification
Title: Drop Mac OS X Tiger support in Python 3.7?
Type: Stage: resolved
Components: Build Versions: Python 3.7
process
Status: closed Resolution: postponed
Dependencies: Superseder:
Assigned To: Nosy List: barry, benjamin.peterson, haypo, ned.deily, rhettinger
Priority: normal Keywords:

Created on 2017-03-27 09:29 by haypo, last changed 2017-05-03 10:37 by haypo. This issue is now closed.

Messages (6)
msg290570 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-03-27 09:29
Hi,

Last september I already proposed the same thing for Python 3.6 (issue #28099), but Ned Deily asked to keep OS X Tiger supper.

The Tiger buildbot fails since many years:
http://buildbot.python.org/all/builders/x86%20Tiger%203.x/builds/479/steps/test/logs/stdio

It doesn't seem like anyone take care of this buildbot.

Mac OS X Tiger was released in 2004 (13 years ago). The last update was 10.4.11: November 14, 2007 (9 years ago).

"Support status: Unsupported as of September 2009, Safari support ended November 2010."
https://en.wikipedia.org/wiki/Mac_OS_X_Tiger
msg290623 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-03-27 15:46
Is there any downside to keeping this code?
msg290625 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-27 16:27
>The Tiger buildbot fails since many years:
>http://buildbot.python.org/all/builders/x86%20Tiger%203.x/builds/479/steps/test/logs/stdio

That's not true.  The one failing test, test_uuid, was just added last month.  Note that the 3.5 Tiger buildbot has not test failures.

So, one question that perhaps you and Barry can answer is what is the significance of that failure.

>It doesn't seem like anyone take care of this buildbot.

That's also not true.  David Bolen, the owner of the buildbot, is very responsive to requests for updates of third-party libraries on the buildbot.

Getting back to the support of OS X 10.4, to the best of my knowledge we currently do not document anywhere exactly what levels of OS X we support.  We could do that and, yes, we could explicitly drop support for 10.4.  However, at the moment, there just seems to be this one issue which we should understand better before deciding anything.  But, more importantly, at the moment, the 10.4 Tiger buildbot is the *only* working Mac buildbot we have.  Two other Mac buildbots we've had, the "Snow Leopard" and "Yosemite" buildbots have been off-line for many months.  Until we have other working OS X buildbots, the Tiger one should remain.  It is serving a useful purpose.
msg290628 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-27 17:19
Here's where the Tiger 3.x buildbot started failing:

http://buildbot.python.org/all/builders/x86%20Tiger%203.x/builds/363

with this commit 0b8432538acf45d7a605fe68648b4712e8d9cee3
msg290653 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-03-27 21:07
Raymond Hettinger: "Is there any downside to keeping this code?"

I don't think that we have much code specific to Tiger, except maybe some skips in unit tests. Maybe we can just remove the buildbot but don't touch the code.

My issue is more that I would like to see green buildbots. I don't see the purpose of having a buildbot if it's known to be broken. It's a pain to recall which buildbots are known to be broken or not.


> That's not true.  The one failing test, test_uuid, was just added last month.  Note that the 3.5 Tiger buildbot has not test failures.

Ah? I didn't know. Maybe my issue was more that Tiger fails randomly. In fact, I don't recall exactly why I wanted to drop Tiger support :-)


> But, more importantly, at the moment, the 10.4 Tiger buildbot is the *only* working Mac buildbot we have.

Oh wow, I didn't know. Travis CI provides Linux containers, AppVeyor provides Windows VMs. Is there a similar free service for macOS? Or maybe not free for everyone, but free for the Python CI?


> Here's where the Tiger 3.x buildbot started failing: (...)

I created the issue #29925 for test_uuid failure.


> Until we have other working OS X buildbots, the Tiger one should remain.  It is serving a useful purpose.

My general view on buildbots is that one buildbot needs a maintainer or should go away.

Yeah, I have to long term plan to remove most buildbots :-D For example, the situation didn't evolved for the OpenIndiana buildbot...
msg292885 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-05-03 10:37
All tests pass again on 2.7, 3.5, 3.6 and master branches, so I have no more reason to drop Tiger support :-)

I close the issue. I may reopen it later if I find a better reason to drop Tiger support ;-)
History
Date User Action Args
2017-05-03 10:37:42hayposetstatus: open -> closed
resolution: postponed
messages: + msg292885

stage: resolved
2017-03-27 21:07:47hayposetmessages: + msg290653
2017-03-27 17:19:13ned.deilysetnosy: + benjamin.peterson
messages: + msg290628
2017-03-27 16:27:22ned.deilysetnosy: + barry
messages: + msg290625
2017-03-27 15:46:55rhettingersetnosy: + rhettinger
messages: + msg290623
2017-03-27 09:29:04haypocreate